/* extra stuff in case I mess up (I'm pretty sure I will)
/* edit: YUP I DID. */
.aud-gen img {
    aspect-ratio:1/1;
    object-fit:center;
}

/* npf caption text: if it has color override, use that */
/* so children of the color override should ignore its own color (e.g. italic/bold) and inherit the inline style */
.caption .reblog-content span[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content b[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content i[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content u[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content s[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content strong[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content em[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content pre[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content code[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content small[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content big[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content sup[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content sub[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content h2[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content h3[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content h4[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content h5[style*="color:"]:not([style*="background-color:"]),
.caption .reblog-content h6[style*="color:"]:not([style*="background-color:"])
{
    color:inherit;
}

/*------ ALT TEXT / IMAGE DESCRIPTIONS -------*/
span.tmblr-alt-text-helper {
    display:block!important;
    position:absolute!important;
    top:0!important;right:0!important;
    left:auto!important;bottom:auto!important;
    margin-top:12px!important;
    margin-right:12px!important;
    font-family:var(--Caps-Font-Family)!important;
    font-weight:normal!important;
    text-transform:uppercase!important;
    letter-spacing:var(--Caps-Letter-Spacing)!important;
    font-size:var(--Caps-Font-Size)!important;
    color:var(--Misc-Buttons-Icon)!important;
    line-height:1!important;
    padding:5px 7px!important;
    background:rgba(var(--Misc-Buttons-BG-RGB),0.69)!important;
    border-radius:3px!important;
    opacity:1!important;
    transition:background-color 0.2s ease-in-out;
    cursor:help!important;
    z-index:1;
}

.tmblr-full:hover span.tmblr-alt-text-helper {
    background:var(--Misc-Buttons-BG)!important;
}

[data-help-popover="alt-text-helper"] > .tour_guide.removing {
    transition:opacity .35s cubic-bezier(.175,.885,.32,1.275)!important;
}

[data-help-popover="alt-text-helper"] > .tour_guide.removing .popover {
    transform:none!important;
    transition:none!important;
}

[data-help-popover="alt-text-helper"] .popover {
    padding:var(--Post-Padding)!important;
    background:var(--Post-BG)!important;
    border:var(--Post-Borders-Outer-Size) solid var(--Post-Borders-Outer)!important;
    border-radius:var(--Rounded-Corners)!important;
    box-shadow:none!important;
    cursor:initial!important;
    animation:popover_alt .35s cubic-bezier(.175,.885,.32,1.275)!important;
    transition:none!important;
    transform-origin:top!important;
}

@keyframes popover_alt {
    from { opacity:0; }
    to { opacity:1; }
}

[data-help-popover="alt-text-helper"] .popover.tutorial .title {
    margin:0 0 1em 0!important;
    font-family:var(--Heading-Font-Family)!important;
    font-size:var(--H3-Font-Size)!important;
    font-weight:inherit!important;
    line-height:1!important;
    letter-spacing:inherit!important;
    color:inherit!important;
}

[data-help-popover="alt-text-helper"] .popover.tutorial .content {
    border:1px solid var(--Alt-Post-Borders-Inner)!important;
    padding:0.85rem 0.9rem!important;
    background:var(--Alt-Post-BG)!important;
    border-radius:var(--Code-Block-Corner-Roundness)!important;
    font-family:var(--Body-Font-Family)!important;
    font-size:var(--Body-Font-Size)!important;
    color:var(--Alt-Post-Text-Color)!important;
    line-height:inherit!important;
    letter-spacing:inherit!important;
}

[data-help-popover="alt-text-helper"] .popover.tutorial .ok_button {
    margin:1em 0 0 0!important;
    border:none!important;
    padding:0.75em 0.75em!important;
    background-color:var(--Misc-Buttons-BG)!important;
    border-radius:4px!important;
    font-family:var(--Caps-Font-Family)!important;
    text-transform:uppercase!important;
    font-size:calc(var(--Caps-Font-Size) + 1px)!important;
    color:var(--Misc-Buttons-Icon)!important;
    line-height:1!important;
    letter-spacing:var(--Caps-Letter-Spacing)!important;
    cursor:help!important;
}

/* "m@ture content" warning - cover entire screen */
.tmblr-iframe-overlay .content-warning-cover {
    top:0!important;
    z-index:2147483647!important;
}

/*------- CUSTOMIZE PAGE ADJUSTMENTS -------*/
.caption .reblogs[username=''] .reblog-header {
    display:none;
}

[post-type="text"] p:first-child ~ blockquote figure {
    margin-left:0;
    margin-right:0;
}

html[current-url="/customize_preview_receiver.html"][hide-help-msg="show"] .custard {
    display:block;
    position:fixed;
    bottom:0;left:0;
    line-height:var(--Line-Height);
    padding:1.5rem;
    background:#252525;
    font-family:"Inter", sans-serif;
    font-weight:500;
    font-size:0.85rem;
    letter-spacing:0.15px;
    color:#eaeaea;
    z-index:100;
}

html[current-url="/customize_preview_receiver.html"][hide-help-msg="show"] .custard a {
    color:#c1c297;
    padding-bottom:0.15em;
    border-bottom:1px solid #4f576a;
}

/*
@media only screen and (max-width:768px) {
    html[current-url="/customize_preview_receiver.html"]:root {
        --Left-Sidebar-Image-Width:15vw;
        --Post-Width:50vw;
        --Post-Side-Gaps:5vw;
        --Right-Sidebar-Box-Width:20vw;
        --Right-Sidebar-Icon-Width:calc(var(--Right-Sidebar-Box-Width) * 0.25)
    }
    
    html[current-url="/customize_preview_receiver.html"] .t-row {
        display:flex;
        flex-wrap:wrap;
    }
    
    html[current-url="/customize_preview_receiver.html"] .t-row > .t-cell:not(:first-child, :only-child){
        padding-bottom:var(--Activity-Row-Spacing);
    }
}
*/
